GNU bug report logs - #50266
28.0.50; expand-file-name broken with non ASCII characters

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Joakim Hårsman <joakim.harsman@HIDDEN>; Keywords: fixed; dated Mon, 30 Aug 2021 12:09:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) fixed. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50266 <at> debbugs.gnu.org:


Received: (at 50266) by debbugs.gnu.org; 2 Sep 2021 15:50:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 02 11:50:53 2021
Received: from localhost ([127.0.0.1]:41807 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLozK-0008Ph-0i
	for submit <at> debbugs.gnu.org; Thu, 02 Sep 2021 11:50:53 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39322)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mLozF-0008PS-TM
 for 50266 <at> debbugs.gnu.org; Thu, 02 Sep 2021 11:50:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37706)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mLozA-0003zn-Ko; Thu, 02 Sep 2021 11:50:40 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4470
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mLoz1-0003oP-HQ; Thu, 02 Sep 2021 11:50:38 -0400
Date: Thu, 02 Sep 2021 18:50:28 +0300
Message-Id: <83pmtryo1n.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: joakim.harsman@HIDDEN
In-Reply-To: <83tuj7jbin.fsf@HIDDEN> (message from Eli Zaretskii on Mon, 30
 Aug 2021 16:41:04 +0300)
Subject: Re: bug#50266: 28.0.50;
 expand-file-name broken with non ASCII characters
References: <CAFJF9wVConq2b89-Wz+triiPkdjvK27zszfB8qkk6K=3j55VXA@HIDDEN>
 <83zgszjewp.fsf@HIDDEN>
 <CAFJF9wVByCaJsG6-CykjoRBF=RjmQ45rJAkz+uKan0RYMkV6kA@HIDDEN>
 <CAFJF9wWsAVO+zF3JSuOHLteGKgdY66YdRTSXp-AipEPo=-LX0g@HIDDEN>
 <83tuj7jbin.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50266
Cc: 50266 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 30 Aug 2021 16:41:04 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 50266 <at> debbugs.gnu.org
> 
> > From: Joakim Hårsman <joakim.harsman@HIDDEN>
> > Date: Mon, 30 Aug 2021 15:36:06 +0200
> > 
> > No wait, scratch that. Emacs -Q has the same error. I accidentally started 27.2 where it works.
> > 
> > On Mon, 30 Aug 2021 at 15:34, Joakim Hårsman <joakim.harsman@HIDDEN> wrote:
> > 
> >  emacs -Q works and returns the correct file name.
> 
> OK, thanks.  I guess we don't decode the file name somewhere.  Hmm...

Please try the latest master branch, I hope I fixed this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50266; Package emacs. Full text available.

Message received at 50266 <at> debbugs.gnu.org:


Received: (at 50266) by debbugs.gnu.org; 30 Aug 2021 13:41:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 09:41:23 2021
Received: from localhost ([127.0.0.1]:58499 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKhXP-0004RE-FB
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 09:41:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53136)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mKhXN-0004Ql-Cw
 for 50266 <at> debbugs.gnu.org; Mon, 30 Aug 2021 09:41:22 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46420)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mKhXI-0001jb-59; Mon, 30 Aug 2021 09:41:16 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2624
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mKhXH-0004Nh-Ow; Mon, 30 Aug 2021 09:41:16 -0400
Date: Mon, 30 Aug 2021 16:41:04 +0300
Message-Id: <83tuj7jbin.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Joakim =?utf-8?Q?H=C3=A5rsman?= <joakim.harsman@HIDDEN>
In-Reply-To: <CAFJF9wWsAVO+zF3JSuOHLteGKgdY66YdRTSXp-AipEPo=-LX0g@HIDDEN>
 (message from Joakim =?utf-8?Q?H=C3=A5rsman?= on Mon, 30 Aug 2021 15:36:06
 +0200)
Subject: Re: bug#50266: 28.0.50;
 expand-file-name broken with non ASCII characters
References: <CAFJF9wVConq2b89-Wz+triiPkdjvK27zszfB8qkk6K=3j55VXA@HIDDEN>
 <83zgszjewp.fsf@HIDDEN>
 <CAFJF9wVByCaJsG6-CykjoRBF=RjmQ45rJAkz+uKan0RYMkV6kA@HIDDEN>
 <CAFJF9wWsAVO+zF3JSuOHLteGKgdY66YdRTSXp-AipEPo=-LX0g@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50266
Cc: 50266 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[Please use Reply All to keep the bug address on the CC list.]

> From: Joakim Hårsman <joakim.harsman@HIDDEN>
> Date: Mon, 30 Aug 2021 15:36:06 +0200
> 
> No wait, scratch that. Emacs -Q has the same error. I accidentally started 27.2 where it works.
> 
> On Mon, 30 Aug 2021 at 15:34, Joakim Hårsman <joakim.harsman@HIDDEN> wrote:
> 
>  emacs -Q works and returns the correct file name.

OK, thanks.  I guess we don't decode the file name somewhere.  Hmm...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50266; Package emacs. Full text available.

Message received at 50266 <at> debbugs.gnu.org:


Received: (at 50266) by debbugs.gnu.org; 30 Aug 2021 12:28:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 08:28:09 2021
Received: from localhost ([127.0.0.1]:58364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKgOX-0001xq-Ij
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:28:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mKgOU-0001xE-5L
 for 50266 <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:28:08 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44298)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mKgOO-00084A-Gi; Mon, 30 Aug 2021 08:28:00 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1892
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mKgOM-0002gc-GT; Mon, 30 Aug 2021 08:28:00 -0400
Date: Mon, 30 Aug 2021 15:27:50 +0300
Message-Id: <83zgszjewp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Joakim =?utf-8?Q?H=C3=A5rsman?= <joakim.harsman@HIDDEN>
In-Reply-To: <CAFJF9wVConq2b89-Wz+triiPkdjvK27zszfB8qkk6K=3j55VXA@HIDDEN>
 (message from Joakim =?utf-8?Q?H=C3=A5rsman?= on Mon, 30 Aug 2021 14:08:29
 +0200)
Subject: Re: bug#50266: 28.0.50;
 expand-file-name broken with non ASCII characters
References: <CAFJF9wVConq2b89-Wz+triiPkdjvK27zszfB8qkk6K=3j55VXA@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50266
Cc: 50266 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Joakim Hårsman <joakim.harsman@HIDDEN>
> Date: Mon, 30 Aug 2021 14:08:29 +0200
> 
> Bug manifests on Windows 10 ( I haven't tested other versions). Before starting emacs:
> 
> C:\Users\JoakimHårsman>chdir
> C:\Users\JoakimHårsman
> 
> C:\Users\JoakimHårsman>echo %HOME%
> C:\users\JoakimHårsman
> 
> C:\Users\JoakimHårsman> runemacs -Q
> 
> Notice that the current directory which is the same as the HOME
> environment, contains the letter å. After starting emacs with runemacs
> -Q:
> 
> (expand-file-name default-directory)
> 
> returns
> 
> "c:/users/JoakimH  rsman/"
> 
> or alternatively
> 
> "c:/users/JoakimH\303\245rsman/"

Is this limited to starting via runemacs, or starting "emacs -Q"
produces the same problem?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50266; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Aug 2021 12:08:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 08:08:51 2021
Received: from localhost ([127.0.0.1]:58333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKg5q-0001Ov-Cm
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:08:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:33842)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <joakim.harsman@HIDDEN>) id 1mKg5l-0001Ol-SQ
 for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 08:08:50 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49010)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <joakim.harsman@HIDDEN>)
 id 1mKg5l-00022B-Ne
 for bug-gnu-emacs@HIDDEN; Mon, 30 Aug 2021 08:08:45 -0400
Received: from mail-pg1-x533.google.com ([2607:f8b0:4864:20::533]:44792)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <joakim.harsman@HIDDEN>)
 id 1mKg5j-0006LW-Fc
 for bug-gnu-emacs@HIDDEN; Mon, 30 Aug 2021 08:08:45 -0400
Received: by mail-pg1-x533.google.com with SMTP id s11so13190551pgr.11
 for <bug-gnu-emacs@HIDDEN>; Mon, 30 Aug 2021 05:08:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=ozoIHdDxX5kzZYuTs2CNVoJXNTIhlIOETSqEdSREu4k=;
 b=nnpnK5q/4KPP4e/V7sJYu//zUOh6OPQOBAB8EVwhACbg5XT2/AOCNzXBAtmPBitKeI
 6YyRyYKrnlOleM3dgYiQ8U3NncoYKtfBH+8EiCnTPCCFeaT8bSiOpQj8ejPuu0w7Fvap
 CbcbUsKWK5Sa8JbNQxvHw6vCQ9Cl+97cakeyOSY2AkX87h8Xkb8sLfHfBNheEfQkmfLS
 /L14+yWRmD3rXSnSHf+6fl1yIAOPKh2PZWyV+1ofE20qj1msTPHWUP1fqtkdCN4orV1c
 vwW9ThGc29EvRa05+5lamXWCCpL7tJERC62ZfQFTDA1c96P43B21LuFHY9z0NUEFwb/K
 7riw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=ozoIHdDxX5kzZYuTs2CNVoJXNTIhlIOETSqEdSREu4k=;
 b=bRJbPgH2LXrxIoHZ6SLpNwHYoVauIx79ngQtu9Ntnv3exNYmoXkVBmTpdC0NG56jfW
 LfreFf1gpv4WgW99a5vVx05WwucNSltLF1DnMYTE1kmrNfEMXRiz70n7sIEaOjsEZ6m0
 jFqTOqSEuVJZRml6DlXHUoxycf+SlU9zrUZDSXezeWnMbUTzrAxC6yEESx96gQqzVcwW
 qZLX6Ok0n3AIPGX2djeVWDVMzW2jJbFzvbDjd8t4JSkA2KgL08Q/guvHqOsc+x5l5zQs
 mEmumkx0EV9q+bKvZ+V70yPnq0JAiCUWg5HK0jkoXvWTYgB/4yEALUgJJlMiSg2moqos
 zNwQ==
X-Gm-Message-State: AOAM531GamytqffNwFImqBFX1MJZD4lB0+sH/LE3T6J9GfD+wI63qYAO
 emMpFjonT++bhTmP+qhdOlxifvcMR2y/jxHHF4BFgyfnXvw=
X-Google-Smtp-Source: ABdhPJw2Nkse6U0Zi/exgk/8sf35sxnzbyPTS9FZ1KQqjJUTKDvDULuoAqr34gWJToE9rFsC7G9JSOiqYY5hnNMmaC4=
X-Received: by 2002:a63:4344:: with SMTP id q65mr21306541pga.364.1630325320494; 
 Mon, 30 Aug 2021 05:08:40 -0700 (PDT)
MIME-Version: 1.0
From: =?UTF-8?Q?Joakim_H=C3=A5rsman?= <joakim.harsman@HIDDEN>
Date: Mon, 30 Aug 2021 14:08:29 +0200
Message-ID: <CAFJF9wVConq2b89-Wz+triiPkdjvK27zszfB8qkk6K=3j55VXA@HIDDEN>
Subject: 28.0.50; expand-file-name broken with non ASCII characters
To: bug-gnu-emacs <bug-gnu-emacs@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000098b17c05cac5b195"
Received-SPF: pass client-ip=2607:f8b0:4864:20::533;
 envelope-from=joakim.harsman@HIDDEN; helo=mail-pg1-x533.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--00000000000098b17c05cac5b195
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Bug manifests on Windows 10 ( I haven't tested other versions). Before
starting emacs:

C:\Users\JoakimH=C3=A5rsman>chdir
C:\Users\JoakimH=C3=A5rsman

C:\Users\JoakimH=C3=A5rsman>echo %HOME%
C:\users\JoakimH=C3=A5rsman

C:\Users\JoakimH=C3=A5rsman> runemacs -Q

Notice that the current directory which is the same as the HOME
environment, contains the letter =C3=A5. After starting emacs with runemacs
-Q:

(expand-file-name default-directory)

returns

"c:/users/JoakimH  rsman/"

or alternatively

"c:/users/JoakimH\303\245rsman/"

while the correct return value should be

"c:/users/JoakimH=C3=A5rsman/"


In GNU Emacs 28.0.50 (build 1, x86_64-w64-mingw32)
Repository revision: 7640f1da0be206a7598c96acdfdaaf390a2b546c
Repository branch: master
Windowing system distributor 'Microsoft Corp.', version 10.0.19043
System Description: Microsoft Windows 10 Pro (v10.0.2009.19043.1165)

Configured using:
 'configure --prefix=3D/d/a/emacs-build/emacs-build/pkg/master-x86_64
 --with-native-compilation --with-zlib --with-gnutls --with-xml2
 --with-lcms2 --with-json --with-harfbuzz --without-cairo --with-rsvg
 --with-png --with-gif --without-tiff --with-jpeg --with-xpm
 --disable-build-details --disable-silent-rules --without-dbus
 --without-compress-install'

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND THREADS TOOLKIT_SCROLL_BARS XPM
ZLIB

Important settings:
  value of $LANG: en_US.UTF8
  locale-coding-system: cp1252

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs auth-source eieio eieio-core eieio-loaddefs
password-cache json map text-property-search time-date mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail comp comp-cstr warnings subr-x rx cl-seq cl-macs cl-extra
help-mode seq byte-opt gv cl-loaddefs cl-lib bytecomp byte-compile cconv
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils iso-transl
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win w32-vars
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads w32notify w32 lcms2 multi-tty
make-network-process native-compile emacs)

Memory information:
((conses 16 89375 14408)
 (symbols 48 7898 1)
 (strings 32 22918 3463)
 (string-bytes 1 759569)
 (vectors 16 23743)
 (vector-slots 8 1091049 147200)
 (floats 8 29 266)
 (intervals 56 257 0)
 (buffers 992 12))

--00000000000098b17c05cac5b195
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br>Bug manifests on Windows 10 ( I haven&#39;t tested oth=
er versions). Before starting emacs:<br><br>C:\Users\JoakimH=C3=A5rsman&gt;=
chdir<br>C:\Users\JoakimH=C3=A5rsman<br><br>C:\Users\JoakimH=C3=A5rsman&gt;=
echo %HOME%<br>C:\users\JoakimH=C3=A5rsman<br><br>C:\Users\JoakimH=C3=A5rsm=
an&gt; runemacs -Q<br><br>Notice that the current directory which is the sa=
me as the HOME<br>environment, contains the letter =C3=A5. After starting e=
macs with runemacs<br>-Q:<br><br>(expand-file-name default-directory)<br><b=
r>returns<br><br>&quot;c:/users/JoakimH =C2=A0rsman/&quot;<br><br>or altern=
atively<br><br>&quot;c:/users/JoakimH\303\245rsman/&quot;<br><br>while the =
correct return value should be<br><br>&quot;c:/users/JoakimH=C3=A5rsman/&qu=
ot;<br><br><br>In GNU Emacs 28.0.50 (build 1, x86_64-w64-mingw32)<br>Reposi=
tory revision: 7640f1da0be206a7598c96acdfdaaf390a2b546c<br>Repository branc=
h: master<br>Windowing system distributor &#39;Microsoft Corp.&#39;, versio=
n 10.0.19043<br>System Description: Microsoft Windows 10 Pro (v10.0.2009.19=
043.1165)<br><br>Configured using:<br>=C2=A0&#39;configure --prefix=3D/d/a/=
emacs-build/emacs-build/pkg/master-x86_64<br>=C2=A0--with-native-compilatio=
n --with-zlib --with-gnutls --with-xml2<br>=C2=A0--with-lcms2 --with-json -=
-with-harfbuzz --without-cairo --with-rsvg<br>=C2=A0--with-png --with-gif -=
-without-tiff --with-jpeg --with-xpm<br>=C2=A0--disable-build-details --dis=
able-silent-rules --without-dbus<br>=C2=A0--without-compress-install&#39;<b=
r><br>Configured features:<br>ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 L=
IBXML2 MODULES NATIVE_COMP<br>NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND THREA=
DS TOOLKIT_SCROLL_BARS XPM<br>ZLIB<br><br>Important settings:<br>=C2=A0 val=
ue of $LANG: en_US.UTF8<br>=C2=A0 locale-coding-system: cp1252<br><br>Major=
 mode: Lisp Interaction<br><br>Minor modes in effect:<br>=C2=A0 tooltip-mod=
e: t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 eldoc-mode: t<br>=C2=A0 elect=
ric-indent-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode: t=
<br>=C2=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 gl=
obal-font-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-m=
ode: t<br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t=
<br>=C2=A0 auto-compression-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0=
 indent-tabs-mode: t<br>=C2=A0 transient-mark-mode: t<br><br>Load-path shad=
ows:<br>None found.<br><br>Features:<br>(shadow sort mail-extr emacsbug mes=
sage rmc puny dired dired-loaddefs<br>rfc822 mml mml-sec epa derived epg ep=
g-config gnus-util rmail<br>rmail-loaddefs auth-source eieio eieio-core eie=
io-loaddefs<br>password-cache json map text-property-search time-date mm-de=
code<br>mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailhea=
der<br>sendmail comp comp-cstr warnings subr-x rx cl-seq cl-macs cl-extra<b=
r>help-mode seq byte-opt gv cl-loaddefs cl-lib bytecomp byte-compile cconv<=
br>rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils iso-transl<br>t=
ooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type<br>mwhee=
l dos-w32 ls-lisp disp-table term/w32-win w32-win w32-vars<br>term/common-w=
in tool-bar dnd fontset image regexp-opt fringe<br>tabulated-list replace n=
ewcomment text-mode elisp-mode lisp-mode<br>prog-mode register page tab-bar=
 menu-bar rfn-eshadow isearch easymenu<br>timer select scroll-bar mouse jit=
-lock font-lock syntax font-core<br>term/tty-colors frame minibuffer cl-gen=
eric cham georgian utf-8-lang<br>misc-lang vietnamese tibetan thai tai-viet=
 lao korean japanese eucjp-ms<br>cp51932 hebrew greek romanian slovak czech=
 european ethiopic indian<br>cyrillic chinese composite charscript charprop=
 case-table epa-hook<br>jka-cmpr-hook help simple abbrev obarray cl-preload=
ed nadvice button<br>loaddefs faces cus-face macroexp files window text-pro=
perties overlay<br>sha1 md5 base64 format env code-pages mule custom widget=
<br>hashtable-print-readable backquote threads w32notify w32 lcms2 multi-tt=
y<br>make-network-process native-compile emacs)<br><br>Memory information:<=
br>((conses 16 89375 14408)<br>=C2=A0(symbols 48 7898 1)<br>=C2=A0(strings =
32 22918 3463)<br>=C2=A0(string-bytes 1 759569)<br>=C2=A0(vectors 16 23743)=
<br>=C2=A0(vector-slots 8 1091049 147200)<br>=C2=A0(floats 8 29 266)<br>=C2=
=A0(intervals 56 257 0)<br>=C2=A0(buffers 992 12))<br></div>

--00000000000098b17c05cac5b195--




Acknowledgement sent to Joakim Hårsman <joakim.harsman@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50266; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 4 Sep 2021 07:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.